#include <stdio.h>
#include <stdlib.h>

#include "fftv.h"

int fftv_mode;
char fftv_freq[128], ffradio_freq[128];

void init_freq_dir()
{
  char *home = getenv("HOME");
  sprintf(ffradio_freq,"%s/.ffradio.freqtab", home);
  sprintf(fftv_freq,"%s/.fftv.freqtab",getenv("HOME"));
}

char *ffdir_name()
{
  return (fftv_mode & FFTV_MODE_RADIO) ? ffradio_freq : fftv_freq;
}

static char channel_last_session[]=".last_session";

void last_session_filename(char *fname)
{
  sprintf(fname,"%s/%s",ffdir_name(), channel_last_session);
}

void save_channel_name_last_session(char *chname)
{
  FILE *fp;
  char fname[256];

  last_session_filename(fname);

  if ((fp=fopen(fname,"w"))==NULL)
    return;

  fprintf(fp,"%s",chname);

  fclose(fp);
}
