#define RECORD_OFF (0)
#define RECORD_ON  (1)
#define RECORD_PAUSE  (2)
#define RECORD_STOP (4)
#define SWITCH_TV_FM (8)


#define FFTV_MODE_TV (1)
#define FFTV_MODE_RADIO (2)
extern int fftv_mode;

extern int record_status;
extern void wait_for_recording();
void draw_vol_status(char *s, int clear);
void draw_vol_off();
void init_X_arg();
void init_X_win();
extern int min_vxl,min_vyl,max_vxl,max_vyl;   // min video width / height
extern int vfd;
extern int ch_str_x,ch_str_y,ch_str_xl,ch_str_yl;
extern int rec_str_x,rec_str_y,rec_str_xl,rec_str_yl;
extern int vol_str_x,vol_str_y,vol_str_xl,vol_str_yl;
void setVideoSource(int fd, char *vidname);
void init_TV_SYS(),init_radio_SYS();
void local_vwin(int wx0,int wy0, int wxl, int wyl);
struct video_clip * incr_clips();
void clear_clips();
void tv_audio_off();
void set_vwin();
void tv_audio_on();
void tv_pic_off();
void radio_scan();
void restore_channel_states();
void clear_remkeys();
void draw_channel_name_chidx();
void set_fftv_cmd_state(char *state);
void error(char *fmt,...);
void pic_adj_select_menu_off();
int rno2chidx(int rno);
void set_record_status(int status);
void set_channel_by_name(char *chname);
void do_exit_fftv();
void set_FFTV_MODE_TV(), set_FFTV_MODE_RADIO();

extern long color_red, color_pink;

extern int clipsN;
extern struct video_clip *clips;
extern int tv_preview_mode;

void dbg(char *fmt,...);
void p_err(char *fmt,...);

int exec_tvcmd(int cmdidx);
int open_lirc();
int lirc_fetch();
void set_lirc_cmd_state(char *state_name);
int cmdname2idx(char *s);
void set_chan_idx(int idx);

#ifndef MIN
#define MIN(a,b) ((a) < (b) ? (a):(b))
#define MAX(a,b) ((a) > (b) ? (a):(b))
#endif

void save_channel_state(char *st_name, int val);
char *ffdir_name();
void process_gtk_events();
void do_exit();
void soundcard_mute_toggle();
void feed_xkey(int skey, int state, int chr);
int get_soundcard_volume();
void draw_channel_name(char *s, int clear);
void close_vfd();
void get_fftv_states_dir(char *fftv_states_dir);

#define vidstrN (8)
